## com.ibatis.jpetstore.service
Class CatalogService

    java.lang.Object
      com.ibatis.jpetstore.service.CatalogService

public class CatalogService
extends Object

Field Summary
`private CategoryDao` `categoryDao`
`private com.ibatis.dao.client.DaoManager` `daoManager`
`private static CatalogService` `instance`
`private ItemDao` `itemDao`
`private ProductDao` `productDao`

Constructor Summary
`private` `CatalogService()`

Method Summary
`Category` `getCategory(String categoryId)`
`List` `getCategoryList()`
`static CatalogService` `getInstance()`
`Item` `getItem(String itemId)`
`com.ibatis.common.util.PaginatedList` `getItemListByProduct(String productId)`
`Product` `getProduct(String productId)`
`com.ibatis.common.util.PaginatedList` `getProductListByCategory(String categoryId)`
`boolean` `isItemInStock(String itemId)`
`com.ibatis.common.util.PaginatedList` `searchProductList(String keywords)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    private static final CatalogService instance

### daoManager

    private com.ibatis.dao.client.DaoManager daoManager

### categoryDao

    private CategoryDao categoryDao

### itemDao

    private ItemDao itemDao

### productDao

    private ProductDao productDao

Constructor Detail

### CatalogService

    private CatalogService()

Method Detail

### getInstance

    public static CatalogService getInstance()

### getCategoryList

    public List getCategoryList()

### getCategory

    public Category getCategory(String categoryId)

### getProduct

    public Product getProduct(String productId)

### getProductListByCategory

    public com.ibatis.common.util.PaginatedList getProductListByCategory(String categoryId)

### searchProductList

    public com.ibatis.common.util.PaginatedList searchProductList(String keywords)

### getItemListByProduct

    public com.ibatis.common.util.PaginatedList getItemListByProduct(String productId)

### getItem

    public Item getItem(String itemId)

### isItemInStock

    public boolean isItemInStock(String itemId)

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.